Subject: Re: 23.1.91; Cannot load .emacs-history from savehist.el

From: Chong Yidong <[email-masked]>
Date: Sat, 16 Jan 2010 14:33:30 -0500

> Trying to load the attached file raises the error "End of file during
> parsing: c:/.emacs-history".
>
> There is no real end-of-file problem, however: This file was created
> by savehist.el using Emacs 23.1, and it loads fine in all releases of
> Emacs (20 through 23).  An error is raised only for the Emacs
> 23.1.91.1 pretest.
>
> However, something weird is going on. If the file is in c:/ when I try
> to load it, then the error is raised. If the file is in c:/mydir/ when
> I try to load it, then it loads with no error. I do not understand
> this at all. Exactly the same file, different behavior. And it doesn't
> matter whether I make the file copy using Emacs C-x C-w or using
> Windows copy+paste.

I'm afraid I can't reproduce this.  There's no error loading the file.
Maybe it's a Windows-only bug.